


<div class="card" style="width: 100%" *ngFor="let item of articles">
  <div class="card-body">
    <h5 class="card-title">{{item.titre}}</h5>
    <h6 class="card-subtitle mb-2 text-muted">{{item.date}}</h6>
    <p class="card-text">{{item.contenu}}</p>
    <button class="btn btn-primary btn-lg" (click)="delete(item.id!)">Supprimer</button>
    <button class="btn btn-primary btn-lg" (click)="showEditForm(item)">Modifier</button>

  </div>
</div>
<!-- <div class="container-fluid">
  <div class="row g-2 my-2">
    <div *ngFor="let article of articles" class="card col-12 col-md-5">
      <div class="card-body">
        <h5 class="card-title">{{article.titre}}</h5>
        <h6 class="card-subtitle mb-2 text-muted">Crée le : {{article.date|date}}</h6>
        <p class="card-text">{{article.contenu}}.</p>
        <a routerLink="/article/{{article.id}}" class="card-link">Détail</a>
        <div>
          <button class="btn btn-primary btn-lg" (click)="delete(article.id!)">Supprimer</button>
          <button class="btn btn-primary btn-lg" (click)="showEditForm(article)">Modifier</button>
        </div>
      </div>
    </div>
  </div>
</div> -->


<div *ngIf="displayEditForm">
  <h4>Modification de l'article</h4>
  <form (ngSubmit)="update(modifiedAr)">
    <label for="label">Titre :</label>
    <input [(ngModel)]="modifiedAr.titre" type="text" name="title" id="title">
    <label for="content">contenu :</label>
    <textarea [(ngModel)]="modifiedAr.contenu" name="content" id="content" cols="60"
      rows="20">Modifier un Article</textarea>
    <div>
      <input class="btn btn-primary" type="submit" value="Enregister" />
    </div>
  </form>
</div>

  